%define name libipoddevice
%define version 0.5.3
%define release %mkrel 1
%define libname %mklibname ipoddevice 0
Summary: Ipod access library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://banshee-project.org/files/libipoddevice/%{name}-%{version}.tar.bz2
#Source0: http://banshee-project.org/files/libipoddevice/%{name}-%{cvs}.tar.bz2
License: LGPL
Group: System/Libraries
Url: http://banshee-project.org/index.php/Libipoddevice
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: hal-devel >= 0.5.2
BuildRequires: dbus-glib-devel
BuildRequires: libgtop2.0-devel
BuildRequires: libsgutils-devel
BuildRequires: libxml2-devel
BuildRequires: eject
BuildRequires: gnome-common
BuildRequires: X11-devel

%description
libipoddevice is a device-specific layer for the Apple iPod
(http://www.apple.com/ipod). libipoddevice provides iPod-specific HAL
event notification to applications, and along with objects
representing an iPod, which gives the application access to properties
and features of an iPod.

%package utils
Group: System/Kernel and hardware
Summary: Debugging tool for %name
%description utils
libipoddevice also provides a debugging program, ipod to view iPod
device properties, listen for iPod HAL events, and safely eject iPods
(iPods must be unmounted, then ejected).

%package -n %libname
Group: System/Libraries
Summary: Ipod access library
Requires: eject
Requires: %name-utils >= %version
Provides: %name = %version

%description -n %libname
libipoddevice is a device-specific layer for the Apple iPod
(http://www.apple.com/ipod). libipoddevice provides iPod-specific HAL
event notification to applications, and along with objects
representing an iPod, which gives the application access to properties
and features of an iPod.

%package -n %libname-devel
Group: Development/C
Summary: Ipod access library
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libname-devel
libipoddevice is a device-specific layer for the Apple iPod
(http://www.apple.com/ipod). libipoddevice provides iPod-specific HAL
event notification to applications, and along with objects
representing an iPod, which gives the application access to properties
and features of an iPod.

%prep
%setup -q
#./autogen.sh

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
#gw wrong path:
mv %buildroot%_libdir/hal/* %buildroot%_libexecdir/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files utils
%defattr(-,root,root)
%doc README NEWS ChangeLog AUTHORS
%_bindir/ipod
%_libexecdir/hal-ipod-info
%_datadir/hal/fdi/policy/20thirdparty/20-ipod-info.fdi

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a
%_libdir/pkgconfig/*.pc
%_includedir/ipoddevice/




%changelog

* Tue Apr 03 2007 Götz Waschk <waschk@mandriva.org> 0.5.3-1mdv2007.1
+ Revision: 150266
- new version
- bump deps

* Sat Dec 09 2006 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2007.1
+ Revision: 94102
- new version

* Fri Nov 03 2006 Götz Waschk <waschk@mandriva.org> 0.5.1-3mdv2007.1
+ Revision: 76115
- fix location of hal-ipod-info

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 0.5.1-2mdv2007.1
+ Revision: 65646
- fix build on x86_64 again
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-4mdv2007.1
+ Revision: 63784
- rebuild
- fix buildrequires
- fix installation on x86_64
- Import libipoddevice

* Thu Sep 21 2006 Gtz Waschk <waschk@mandriva.org> 0.5.0-1mdv2007.0
- fix deps
- update file list
- fix buildrequires
- new version

* Tue Aug 08 2006 Gtz Waschk <waschk@mandriva.org> 0.4.6-0.20060721.3mdv2007.0
- fix buildrequires

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.6-0.20060721.2mdv2007.0
- Rebuild with latest dbus

* Sat Jul 22 2006 Gtz Waschk <waschk@mandriva.org> 0.4.6-0.20060721.1mdv2007.0
- cvs snapshot

* Wed May 03 2006 Götz Waschk <waschk@mandriva.org> 0.4.5-1mdk
- New release 0.4.5

* Sun Apr 16 2006 Götz Waschk <waschk@mandriva.org> 0.4.1-2mdk
- rebuild for new libgtop

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdk
- New release 0.4.1

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-3mdk
- rebuild for new dbus

* Thu Dec 08 2005 Gtz Waschk <waschk@mandriva.org> 0.4.0-2mdk
- remove pmount dep

* Fri Nov 25 2005 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdk
- New release 0.4.0

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 0.3.5-1mdk
- New release 0.3.5

* Mon Nov 07 2005 Gtz Waschk <waschk@mandriva.org> 0.3.4-1mdk
- release version

* Fri Oct 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.4-0.20051027.4mdk
- Fix BuildRequires

* Fri Oct 28 2005 Götz Waschk <waschk@mandriva.org> 0.3.4-0.20051027.3mdk
- fix buildrequires

* Fri Oct 28 2005 Götz Waschk <waschk@mandriva.org> 0.3.4-0.20051027.2mdk
- add provides for ipod-sharp

* Fri Oct 28 2005 Götz Waschk <waschk@mandriva.org> 0.3.4-0.20051027.1mdk
- upgrade to cvs snapshot

* Fri Oct 28 2005 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdk
- initial package

